Gateways

End of Sale Announcement

Effective May 1, 2026, Okta will no longer sell or renew Advanced Server Access. Existing customers must migrate to Okta Privileged Access within one year of their next scheduled renewal date to maintain service. Read the FAQ | Learn about Okta Privileged Access

List all Gateway Setup Tokens
Admin roles:
  • access_admin

Lists all Gateway Setup Tokens for your Team

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

query Parameters
offset
string

The UUID of an object used as an offset for pagination

count
integer <int32>

Controls the number of objects listed per page

descending
boolean

If 'true', the most recent results are listed first

prev
boolean

Controls the direction of paging

Responses
200

OK

get/v1/teams/{team_name}/gateway_setup_tokens
Request samples
Response samples
application/json
{
  • "list": [
    • {
      },
    • {
      }
    ]
}

Create a Gateway Setup Token
Admin roles:
  • access_admin

Creates a Gateway Setup Token for your Team

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

Request Body schema: application/json
required
object or null

(Optional) The labels for this Gateway. The Gateway is assigned to all Projects with the same labels.

property name*
additional property
string
Responses
201

Created

post/v1/teams/{team_name}/gateway_setup_tokens
Request samples
application/json
{
  • "labels": {
    • "env": "dev",
    • "region": "us-west-2"
    }
}
Response samples
application/json
{
  • "created_at": "0001-01-01T00:00:00Z",
  • "description": "Example gateway setup token request",
  • "details": null,
  • "id": "6116bb2a-7289-4528-92ee-8e92443c3b61",
  • "registration_type": "gateway-agent"
}

Retrieve a Gateway Setup Token
Admin roles:
  • access_admin

Retrieves the specified Gateway Setup Token

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_setup_token_id
required
string

The UUID of the Gateway Setup Token

Responses
200

OK

get/v1/teams/{team_name}/gateway_setup_tokens/{gateway_setup_token_id}
Request samples
Response samples
application/json
{
  • "created_at": "0001-01-01T00:00:00Z",
  • "description": "Example gateway setup token request",
  • "details": null,
  • "id": "6116bb2a-7289-4528-92ee-8e92443c3b61",
  • "registration_type": "gateway-agent"
}

Delete a Gateway Setup Token
Admin roles:
  • access_admin

Deletes the specified Gateway Setup Token

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_setup_token_id
required
string

The UUID of the Gateway Setup Token

Responses
204

No Content

delete/v1/teams/{team_name}/gateway_setup_tokens/{gateway_setup_token_id}
Request samples

Retrieve a Gateway Setup Token
Admin roles:
  • access_admin

Retrieves the specified Gateway Setup Token

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_setup_token_id
required
string

The UUID of the Gateway Setup Token

Responses
200

OK

get/v1/teams/{team_name}/gateway_setup_tokens/{gateway_setup_token_id}/token
Request samples
Response samples
application/json
{
  • "created_at": "0001-01-01T00:00:00Z",
  • "description": "Example gateway setup token request",
  • "details": null,
  • "id": "6116bb2a-7289-4528-92ee-8e92443c3b61",
  • "registration_type": "gateway-agent"
}

List all Gateways
Admin roles:
  • access_admin

Lists all Gateways for your Team

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

query Parameters
offset
string

The UUID of an object used as an offset for pagination

count
integer <int32>

Controls the number of objects listed per page

descending
boolean

If 'true', the most recent results are listed first

prev
boolean

Controls the direction of paging

contains
string

If defined, results only include Gateways that include the specified value in their name

status
string

If defined, results include all Gateway with the specified status. Possible status: 'ACTIVE'.

Responses
200

OK

get/v1/teams/{team_name}/gateways
Request samples
Response samples
application/json
{
  • "list": [
    • {
      },
    • {
      }
    ]
}

Retrieve a Gateway
Admin roles:
  • access_admin

Retrieves the properties of a specified Gateway

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_id
required
string

The UUID of the Gateway

Responses
200

OK

get/v1/teams/{team_name}/gateways/{gateway_id}
Request samples
Response samples
application/json
{
  • "access_address": null,
  • "cloud_provider": null,
  • "default_address": null,
  • "description": "Gateway used for production env",
  • "id": "a2dfd474-2db4-4bb2-8364-d5f76ade396e",
  • "labels": null,
  • "name": "Production gateway",
  • "refuse_connections": false
}

Update a Gateway
Admin roles:
  • access_admin

Updates a specified Gateway

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_id
required
string

The UUID of the Gateway

Request Body schema: application/json
required
description
string or null <= 1024 characters

(Optional) The description of the Gateway

required
object

The labels associated with the Gateway. Used by Projects to select Gateways.

property name*
additional property
string
name
required
string <regex> [ 1 .. 255 ] characters ^[\w\-_.]+$

The name for the Gateway

Responses
204

No Content

put/v1/teams/{team_name}/gateways/{gateway_id}
Request samples
application/json
{
  • "access_address": null,
  • "cloud_provider": null,
  • "default_address": null,
  • "description": "New description for production gateway",
  • "id": "a2dfd474-2db4-4bb2-8364-d5f76ade396e",
  • "labels": null,
  • "name": "New name for production gateway",
  • "refuse_connections": true
}

Delete a Gateway
Admin roles:
  • access_admin

Deletes the specified Gateway from your Team

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_id
required
string

The UUID of the Gateway

Responses
204

No Content

delete/v1/teams/{team_name}/gateways/{gateway_id}
Request samples

Retrieve a status report for a Gateway
Admin roles:
  • access_admin

Retrieve a status report for the specified Gateway

SecuritybearerAuth
Request
path Parameters
team_name
required
string

The name of your Team

gateway_id
required
string

The UUID of the Gateway

Responses
200

OK

get/v1/teams/{team_name}/gateways/{gateway_id}/status
Request samples
Response samples
application/json
{
  • "active_connections": 2,
  • "gateway_id": "7d6dbd30-d32f-4a7a-94d2-31e95747d460",
  • "status": "ONLINE",
  • "total_storage_bytes": 4096,
  • "updated_at": "0001-01-01T00:00:00Z",
  • "used_storage_bytes": 2048
}